Subject: Re: [PATCH 5/5] help: add tests for subcommand autocorrection

From: Junio C Hamano <[email-masked]>
Date: Thu, 12 Mar 2026 06:35:40 -0700

Jiamu Sun <[email-masked]> writes:

> On Wed, Mar 11, 2026 at 10:01:55AM -0700, Aaron Plattner wrote:
>> t/meson.build:1193:6: ERROR: Problem encountered: Test files found, but not
>> configured:
>> 
>>  - t9004-autocorrect-subcommand.sh
>> 
>> 
>> I think you just need to add it to meson.build:
>
> Will add it, thanks!

In the meantime, I have the following as a fixup patch on top of the
series.  The 'seen' branch with the topic still seems to be failing
with meson build in my environment, but I didn't have time to dig
further.

diff --git a/meson.build b/meson.build
index 4b536e0124..0429e80a5c 100644
--- a/meson.build
+++ b/meson.build
@@ -283,6 +283,7 @@ libgit_sources = [
   'archive-zip.c',
   'archive.c',
   'attr.c',
+  'autocorrect.c',
   'base85.c',
   'bisect.c',
   'blame.c',
diff --git a/t/meson.build b/t/meson.build
index f66a73f8a0..bf0503d705 100644
--- a/t/meson.build
+++ b/t/meson.build
@@ -973,6 +973,7 @@ integration_tests = [
   't9001-send-email.sh',
   't9002-column.sh',
   't9003-help-autocorrect.sh',
+  't9004-autocorrect-subcommand.sh',
   't9100-git-svn-basic.sh',
   't9101-git-svn-props.sh',
   't9102-git-svn-deep-rmdir.sh',